slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSStoppingBasic

Default routine to determine whether the outer eigensolver iteration must be stopped.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSStoppingBasic(EPS eps,PetscInt its,PetscInt max_it,PetscInt nconv,PetscInt nev,EPSConvergedReason *reason,void *ctx)

Collective

### Input Parameters

| eps | - eigensolver context obtained from EPSCreate()
| its | - current number of iterations
| max_it | - maximum number of iterations
| nconv | - number of currently converged eigenpairs
| nev | - number of requested eigenpairs
| ctx | - context (not used here)

### Output Parameter

| reason | - result of the stopping test

### Notes

A positive value of reason indicates that the iteration has finished successfully (converged), and a negative value indicates an error condition (diverged). If the iteration needs to be continued, reason must be set to EPS_CONVERGED_ITERATING (zero).

EPSStoppingBasic() will stop if all requested eigenvalues are converged, or if the maximum number of iterations has been reached.

Use EPSSetStoppingTest() to provide your own test instead of using this one.

### See Also

EPSSetStoppingTest(), EPSConvergedReason, EPSGetConvergedReason()

### Level

advanced

### Location

src/eps/interface/epsdefault.c

### Examples

src/eps/tutorials/ex29.c
src/eps/tutorials/ex30.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages